
%define		module	dns

Summary:	dnspython - a DNS toolkit for Python
Summary(pl.UTF-8):	dnspython - zestaw narzędzi do DNS dla Pythona
Name:		python-%{module}
Version:	1.11.1
Release:	1
License:	MIT
Group:		Development/Languages/Python
Source0:	http://www.dnspython.org/kits/%{version}/dnspython-%{version}.tar.gz
# Source0-md5:	6167344ca849bd2ba108a8aa6118cb2b
URL:		http://www.dnspython.org/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dnspython is a DNS toolkit for Python. It supports almost all record
types. It can be used for queries, zone transfers, and dynamic
updates. It supports TSIG authenticated messages and EDNS0.

dnspython provides both high and low level access to DNS. The high
level classes perform queries for data of a given name, type, and
class, and return an answer set. The low level classes allow direct
manipulation of DNS zones, messages, names, and records.

%description -l pl.UTF-8
dnspython to zestaw narzędzi do DNS dla Pythona. Obsługuje prawie
wszystkie rodzaje rekordów. Może być używany do zapytań, transferów
stref oraz dynamicznych uaktualnień. Obsługuje uwierzytelnione
komunikaty TSIG oraz EDNS0.

dnspython dostarcza zarówno wysoko- jak i niskopoziomowy dostęp do
DNS-a. Klasy wysokopoziomowe wykonują zapytania o dane dla podanej
nazwy, rodzaju i klasy, a zwracają zbiór odpowiedzi. Klasy
niskopoziomowe umożliwiają bezpośrednie manipulacje na strefach,
komunikatach, nazwach i rekordach w DNS-ie.

%prep
%setup -q -n dnspython-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/*.egg-info
%{_examplesdir}/%{name}-%{version}
%changelog
* Fri Feb 21 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-dns.git;a=log;h=master

* Fri Feb 21 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 37aa6f9
- up to 1.11.1

* Sat Jul 02 2011 Jacek Konieczny <jajcus@pld-linux.org> 5decda3
- Version: 1.9.4

* Thu Dec 02 2010 Jakub Bogusz <qboosh@pld-linux.org> 6b87652
- updated to 1.9.2

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> efca589
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5466114
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4013fbd
- release 2

* Mon Jun 09 2008 Jakub Bogusz <qboosh@pld-linux.org> ecb9023
- python 2.5 for .egg-info
- BR: pythonprov

* Sun Jun 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ecbcff4
- up to 1.6.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 07fac7e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 70180d2
- converted to UTF-8

* Sun Oct 08 2006 Jakub Bogusz <qboosh@pld-linux.org> 6160a39
- updated to 1.4.0

* Wed Sep 27 2006 wrobell <wrobell@pld-linux.org> b3de7c9
- rel. 3 to rebuild with python 2.5 (final)

* Mon Aug 28 2006 freetz <freetz@pld-linux.org> c7b7998
- rel.2 for rebuild with new python

* Wed Nov 02 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f7c707
- up to 1.3.5

* Sat Aug 13 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 162ac97
- up to 1.3.4

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 86d844c
- mass commit: remove obsolete BR: rpm-pythonprov

* Mon Feb 28 2005 Paweł Cyranek <pawel.cyranek@gmail.com> d1f76be
- updated to 1.3.3

* Thu Dec 23 2004 saq <saq@pld-linux.org> 4c86ef1
- release 2 for rebuild with python 2.4

* Mon Dec 20 2004 Jakub Bogusz <qboosh@pld-linux.org> c8f5bbf
- pl

* Sun Dec 19 2004 ankry <ankry@pld-linux.org> 9e9f6a3
- formatting

